#
# spec file for package python-pygments-pytest
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-pygments-pytest
VCS: https://src.suse.de/SLFO-pool/python-pygments-pytest#9a8c8258ae8bbad9bdcf18ce8cfdc8c1a4fac9417088de1ae91d7159eb403199
Version:        2.4.0
Release:        160000.1.9
Summary:        A pygments lexer for pytest output
License:        MIT
URL:            https://github.com/asottile/pygments-pytest
Source:         https://github.com/asottile/pygments-pytest/archive/v%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pygments-ansi-color >= 0.0.3}
BuildRequires:  %{python_module pygments}
BuildRequires:  %{python_module pytest >= 4.0.1}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-pygments
Requires:       python-pytest >= 4.0.1
BuildArch:      noarch
%python_subpackages

%description
This library provides a pygments lexer called "pytest".

%prep
%setup -q -n pygments-pytest-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# https://github.com/pytest-dev/pygments-pytest/issues/135
%pytest -k 'not test_warnings'

%files %{python_files}
%doc README.md
%license LICENSE
%pycache_only %{python_sitelib}/__pycache__/*.pyc
%{python_sitelib}/pygments_pytest.py
%{python_sitelib}/pygments_pytest-%{version}.dist-info

%changelog
* Mon Jul 29 2024 steven.kowalik@suse.com
- Switch to pyproject macros.
- Skip a test that fails with Pytest 8.3.
* Sun Jan  7 2024 dmueller@suse.com
- update to 2.4.0:
  * drop python 3.8 support
* Fri Apr 21 2023 dmueller@suse.com
- add sle15_python_module_pythons (jsc#PED-68)
* Wed Nov 30 2022 daniel.garcia@suse.com
- Remove python_module macro definition
- More specific python_sitelib in %%files
- Update to 2.3.0:
  * Update azure-pipelines template repositories
  * stricter mypy settings
  * exit(main()) -> raise SystemExit(main()) pt2
  * drop python3.6 support
  * coloring changes for pytest 7.2
* Wed Jan  6 2021 mmachova@suse.com
- Update to 2.2.0
  * handle skip / xfail reasons (change in pytest 6.2)
* Fri Aug 21 2020 mcalabkova@suse.com
- Update to 2.1.0
  * Use new --code-highlight=no in pytest 6 (and prevent tests from failing)
* Wed Apr 29 2020 mcepl@suse.com
- Switching off the failing coloring tests, it looks like
  gh#asottile/pygments-pytest#18, but not completely certain
  about it.
* Mon Mar 16 2020 tchvatal@suse.com
- Update to 2.0.0:
  * Fixes for new pytests
  * Drop support for python2
* Wed Jan 15 2020 tchvatal@suse.com
- Disable tests run as now they all fail under pytest 5.3 due to
  slight coloring change that does not match fixtures
* Tue Nov  5 2019 tchvatal@suse.com
- Update to 1.3.1:
  * no upstream changelog
* Fri Aug 30 2019 tchvatal@suse.com
- Update to 1.3.0:
  * no upstream changelog
* Tue Mar 26 2019 jengelh@inai.de
- Add missing description.
* Fri Mar  8 2019 tchvatal@suse.com
- Update to 1.2.0:
  * Fixes for new pytest
* Thu Jan 31 2019 tchvatal@suse.com
- Initial commit, needed by pytest 4.x
